use "${data}/bilateral_trade.dta" , clear
preserve
collapse (sum) Aggregate_Exports= Trade if Exporter!=Importer  , by( Exporter_Industrie_time)
save "${data}/Aggregate_Exports.dta", replace
restore
preserve
collapse (sum) Aggregate_Imports= Trade if Exporter!=Importer , by( Importer_Industrie_time)
rename Importer_Industrie_time Exporter_Industrie_time
save "${data}/Aggregate_Imports.dta", replace
restore
merge m:1 Exporter_Industrie_time using "${data}/Aggregate_Exports.dta", assert(master match) keep(master match)
drop _merge
merge m:1 Exporter_Industrie_time using "${data}/Aggregate_Imports.dta", assert(master match) keep(master match)
drop _merge
label var Aggregate_Exports "Aggregate exports of district-industry pair in a given year"
label var Aggregate_Imports "Aggregate imports of district-industry pair in a given year"
qui gen Aggregate_Trade= Aggregate_Exports+ Aggregate_Imports
drop Aggregate_Imports
preserve
keep if time_id==1
keep  Importer Exporter Industrie Aggregate_Trade
rename Aggregate_Trade Aggregate_Trade_83
label var Aggregate_Trade_83 "Aggregate trade of district-industry pair in 1883"
save "${data}/Aggregate_Trade.dta", replace
restore
merge m:1 Importer Exporter Industrie using "${data}/Aggregate_Trade.dta", assert(master match) keep(master match)
drop _merge
preserve
collapse (sum) Aggregate_Imports= Trade if Exporter!=Importer , by( Importer_Industrie_time)
label var Aggregate_Imports "Aggregate imports of district-industry pair in a given year"
save "${data}/Aggregate_Imports.dta", replace
restore
merge m:1 Importer_Industrie_time using "${data}/Aggregate_Imports.dta", assert(master match) keep(master match)
drop _merge
preserve
keep if time_id==1
qui gen Net_Aggregate_Imports= Aggregate_Imports-Trade if Exporter!=Importer
label var Net_Aggregate_Imports "Aggregate imports by industry excluding bilateral trade"
keep Trade Importer Exporter Industrie Net_Aggregate_Imports
rename Trade Trade_83
label var Trade_83 "Bilateral trade of exporter-importer pair in 1883"
rename Net_Aggregate_Imports Net_Aggregate_Imports_83
label var Net_Aggregate_Imports_83 "Aggregate imports by industry in 83 excluding bilateral trade"
save "${data}/Aggregate_Imports_83.dta", replace
restore
merge m:1 Importer Exporter Industrie using "${data}/Aggregate_Imports_83.dta", assert(master match) keep(master match)
drop _merge
gen Net_Aggregate_Imports= Aggregate_Imports-Trade if Exporter!=Importer
label var Net_Aggregate_Imports "Aggregate imports by industry excluding bilateral trade"
gen GR_Net_Aggregate_Imports=Net_Aggregate_Imports/Net_Aggregate_Imports_83
label var GR_Net_Aggregate_Imports "Growth rate of aggregate imports by industry excl. bil. Trade"
gen BartikExports= (Trade_83/ Aggregate_Trade_83) *Net_Aggregate_Imports if Exporter!=Importer & time_id>1
label var BartikExports "Bartik predicted bilateral exports"
collapse (sum) BartikExports if Exporter<=17 & time_id>1, by( Exporter_Industrie_time)
rename BartikExports Aggregate_Exports_Bartik
label var Aggregate_Exports_Bartik "Bartik predicted aggregate exports"
save "${data}/Bartik_Exports.dta", replace
