use "${data}/bilateral_trade.dta" , clear
preserve
collapse (sum) Aggregate_Exports= Trade if Exporter!=Importer  , by( Exporter_Industrie_time)
rename Exporter_Industrie_time Importer_Industrie_time
save "${data}/Aggregate_Exports.dta", replace
restore
preserve
collapse (sum) Aggregate_Imports= Trade if Exporter!=Importer , by( Importer_Industrie_time)
save "${data}/Aggregate_Imports.dta", replace
restore
merge m:1 Importer_Industrie_time using "${data}/Aggregate_Exports.dta", assert(master match) keep(master match)
drop _merge
merge m:1 Importer_Industrie_time using "${data}/Aggregate_Imports.dta", assert(master match) keep(master match)
drop _merge
label var Aggregate_Exports "Aggregate exports of district-industry pair in a given year"
label var Aggregate_Imports "Aggregate imports of district-industry pair in a given year"
qui gen Aggregate_Trade= Aggregate_Exports+ Aggregate_Imports
label var Aggregate_Trade "Aggregate trade of district-industry pair in a given year"
drop Aggregate_Exports
preserve
keep if time_id==1
keep  Importer Exporter Industrie Aggregate_Trade
rename Aggregate_Trade Aggregate_Trade_83
label var Aggregate_Trade_83 "Aggregate trade of district-industry pair in 1883"
save "${data}/Aggregate_Trade.dta", replace
restore
merge m:1 Importer Exporter Industrie using "${data}/Aggregate_Trade.dta", assert(master match) keep(master match)
drop _merge
preserve
collapse (sum) Aggregate_Exports= Trade if Exporter!=Importer , by( Exporter_Industrie_time)
save "${data}/Aggregate_Exports.dta", replace
restore
merge m:1 Exporter_Industrie_time using "${data}/Aggregate_Exports.dta", assert(master match) keep(master match)
drop _merge
preserve
keep if time_id==1
qui gen Net_Aggregate_Exports= Aggregate_Exports-Trade if Exporter!=Importer
label var Net_Aggregate_Exports "Aggregate exports by industry excluding bilateral trade"
keep Trade Importer Exporter Industrie Net_Aggregate_Exports
rename Trade Trade_83
rename Net_Aggregate_Exports Net_Aggregate_Exports_83
label var Net_Aggregate_Exports_83 "Aggregate exports by industry in 83 excluding bilateral trade"
save "${data}/Aggregate_Exports_83.dta", replace
restore
merge m:1 Importer Exporter Industrie using "${data}/Aggregate_Exports_83.dta", assert(master match) keep(master match)
drop _merge
gen Net_Aggregate_Exports= Aggregate_Exports-Trade if Exporter!=Importer
label var Net_Aggregate_Exports "Aggregate exports by industry excluding bilateral trade"
gen GR_Net_Aggregate_Exports=Net_Aggregate_Exports/Net_Aggregate_Exports_83
label var GR_Net_Aggregate_Exports  "Growth rate of aggregate exports by industry excl. bil. Trade"
gen BartikImports= (Trade_83/ Aggregate_Trade_83) *Net_Aggregate_Exports if Exporter!=Importer & time_id>1
label var BartikImports "Bartik predicted bilateral imports"
collapse (sum) BartikImports if Importer<=17 & time_id>1, by( Importer_Industrie_time)
rename BartikImports Aggregate_Imports_Bartik
label var Aggregate_Imports_Bartik "Bartik predicted aggregate imports"
save "${data}/Bartik_Imports.dta", replace
