use "${data}/trade_industry_census.dta", clear
qui xtreg ln_aggregate_trade i.time_id#i.Distrikt_id i.time_id  i.time_id#i.Productgroup_id large_pretrend  ln_aggregate_trade_IV if time_id>1 & large!=., cluster(panel_id) fe
est sto Tab3C1
qui xtivreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend  ( ln_aggregate_trade = ln_aggregate_trade_IV  )  if time_id>1  , vce(robust) fe
est sto Tab3C2
qui xtreg large i.time_id#i.Distrikt_id i.time_id  i.time_id#i.Productgroup_id  large_pretrend ln_aggregate_trade if time_id>1 , cluster(panel_id) fe
est sto Tab3C3
qui estadd local estimationmethod "Fixed Effects": Tab3C1 Tab3C2 Tab3C3 
qui estadd local dependentvar "Dependent variable"
label var ln_aggregate_trade "ln(aggregate trade)"
label var ln_aggregate_trade_IV "ln(predicted aggregate trade)"
esttab Tab3C1 Tab3C2 Tab3C3 using "${results}\Table_III.tex", f b(4) se(4)  stats(estimationmethod   r2_w N, fmt( 0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"$ R^{2}$"' `"Observations"')) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade_IV ln_aggregate_trade)  star(* .1 ** .05 *** .01) label   nonotes  tex replace
qui gen Distrikt_id_time_id=Distrikt_id_str+"_"+time_str
qui gen Productgroup_id_time_id= Productgroup_id_str +"_"+time_str
qui tab Distrikt_id_time_id, gen(districttimefe)
qui tab Productgroup_id_time_id , gen(productgrouptimefe)
qui xtivreg2 large productgrouptimefe* districttimefe* large_pretrend  ( ln_aggregate_trade = ln_aggregate_trade_IV  )  if time_id>1  , cluster(panel_id) fe
est sto Tab3C2_F
esttab Tab3C2_F using "${results}\Table_III_Fstats.tex", f b(4) se(4)  stats(idstat rkf, fmt(2 2) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Kleibergen-Paap LM-statistic"' `"Kleibergen-Paap F-statistic"')) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade)  star(* .1 ** .05 *** .01) label   nonotes  tex replace
drop Distrikt_id_time_id Productgroup_id_time_id districttimefe* productgrouptimefe*
*** Table IV
use "${data}/trade_industry_census.dta", clear
qui xtreg alpha_med  i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id  ln_aggregate_trade alpha_med_pre   if Sample_pareto==1, vce(robust) fe
est sto Tab4C1
qui xtivreg alpha_med alpha_med_pre i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id   ( ln_aggregate_trade = ln_aggregate_trade_IV )  if Sample_pareto==1, vce(robust) fe
est sto Tab4C2
qui estadd local estimationmethod "Fixed Effects": Tab4C1
qui estadd local estimationmethod "Fixed Effects IV": Tab4C2 
qui estadd local clusteredstderr "Yes": Tab4C1 Tab4C2
qui estadd local dependentvar "Dependent variable"
label var ln_aggregate_trade "ln(aggregate trade)"
esttab Tab4C1 Tab4C2 using "${results}\Table_IV.tex", f  b(4) se(4)  stats(clusteredstderr  r2_w N, fmt( 0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}"  "\multicolumn{1}{c}{@}") labels(`"Estimation Method"'  `"$ R^{2}$"' `"Observations"')) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade)  star(* .1 ** .05 *** .01) label   nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex replace
*** Table V
use "${data}/trade_industry_census.dta", clear
qui xtivreg ln_firmcountsmall i.time_id#i.Distrikt_id i.time_id  i.time_id#i.Productgroup_id  ln_firmcountsmall_pretrend ( ln_aggregate_trade = ln_aggregate_trade_IV )  if time_id>1 , vce(robust) fe 
est sto Table5C1
qui xtivreg ln_firmcountlarge i.time_id#i.Distrikt_id i.time_id  i.time_id#i.Productgroup_id  ln_firmcountlarge_pretrend ( ln_aggregate_trade = ln_aggregate_trade_IV )  if time_id>1 , vce(robust) fe 
est sto Table5C2
qui estadd local estimationmethod "Fixed Effects": Table5C1 Table5C2
qui estadd local dependentvar "Dependent variable"
label var ln_aggregate_trade "ln(aggregate trade)"
esttab Table5C1 Table5C2 using "${results}\Table_V.tex", f  b(4) se(4)  stats(estimationmethod   r2_w N, fmt(0  3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}")) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade)  star(* .1 ** .05 *** .01) label nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex replace
*** Table VI
use "${data}/tariffs_industry_census.dta", clear
qui reg d.vlarge  i.time_id i.Distrikt_time_id  delta_tariff if  time_id>0 ,  cluster(panel_id)
est sto Tab6C1
qui estadd local estimationmethod "First diff.": Tab6C1
qui estadd local clusteredstderr "Yes": Tab6C1
qui estadd local dependentvar "Dependent variable"
label var delta_tariff  "d.tariff"
esttab Tab6C1 using "${results}\Table_VI.tex", f  title(Results technology adoption electric motor OLS and IV) b(4) se(4)  stats(estimationmethod   r2 N, fmt(0  3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"$ R^{2}$"' `"Observations"'))   nonumbers nodepvars nomtitle se keep(delta_tariff)  star(* .1 ** .05 *** .01) label   nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex replace
use "${data}/tariffs_district_industry_census.dta", clear
qui reg d.vlarge  i.time_id  delta_tariff  if  time_id>0, cluster(Distrikt_id)
est sto Tab6C2
qui estadd local estimationmethod "First diff.": Tab6C2
qui estadd local dependentvar "Dependent variable"
label var delta_tariff "d.tariff"
esttab Tab6C2 using "${results}\Table_VI.tex", f  b(4) se(4)  stats(estimationmethod   r2 N, fmt(0 3 0) layout("\multicolumn{1}{c}{@}"  "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"'  `"$ R^{2}$"' `"Observations"')) nonumbers nodepvars nomtitle se keep(delta_tariff)  star(* .1 ** .05 *** .01) label   nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex append
*** Table A.VI
use "${data}/trade_industry_census.dta", clear
qui xtreg large i.time_id#i.Distrikt_id i.time_id large_pretrend  i.Industrie_id#c.time_id  ln_aggregate_trade   if time_id>1  , cluster(panel_id) fe
est sto TabA6C1
qui xtreg vlarge i.time_id#i.Distrikt_id i.time_id vlarge_pretrend  i.Industrie_id#c.time_id  ln_aggregate_trade   if time_id>1  , cluster(panel_id) fe
est sto TabA6C2
qui estadd local estimationmethod "Fixed Effects": TabA6C1 TabA6C2 
qui estadd local dependentvar "Dependent variable"
label var ln_aggregate_trade "ln(aggregate trade)"
esttab TabA6C1 TabA6C2 using "${results}\Table_AVI.tex", f b(4) se(4)  stats(estimationmethod   r2_w N, fmt( 0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"$ R^{2}$"' `"Observations"')) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade)  star(* .1 ** .05 *** .01) label   nonotes  tex replace
*** Table A.VII
use "${data}/trade_industry_census.dta", clear
qui betareg beta_large i.panel_id  i.time_id#i.Distrikt_id i.time_id#i.Productgroup_id i.time_id large_pretrend ln_aggregate_trade  if time_id>1 , vce(robust)
est sto TabA7
qui estadd local estimationmethod "Fixed Effects": TabA7
qui estadd local dependentvar "Dependent variable"
label var ln_aggregate_trade "ln(aggregate trade)"
esttab TabA7 using "${results}\Table_AVII.tex", f b(4) se(4)  stats(estimationmethod   ll N, fmt( 0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"log likelihood"' `"Observations"')) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade)  star(* .1 ** .05 *** .01) label   nonotes  tex replace
*** Table A.VIII
use "${data}/trade_industry_census.dta", clear
qui xtreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend ln_aggregate_trade_IG1 ln_aggregate_trade_IG2 ln_aggregate_trade_IG3 ln_aggregate_trade_IG4 ln_aggregate_trade_IG5  if time_id>1 , cluster(panel_id) fe
est sto TabA8
qui estadd local estimationmethod "Fixed Effects": TabA8
qui estadd local dependentvar "Dependent variable"
esttab TabA8 using "${results}\Table_AVIII.tex", f   b(4) se(4)  stats(estimationmethod  r2_w N, fmt(0  3 0) layout("\multicolumn{1}{c}{@}"  "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"$ R^{2}$"' `"Observations"'))  nonumbers nodepvars nomtitle se keep(ln_aggregate_trade_IG1 ln_aggregate_trade_IG2 ln_aggregate_trade_IG3 ln_aggregate_trade_IG4 ln_aggregate_trade_IG5)  star(* .1 ** .05 *** .01) label   nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex replace
*** Table A.IX
use "${data}/trade_industry_census.dta", clear
adopath + "${main}"
qui xtivreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend railway_share  ( ln_aggregate_trade = ln_aggregate_trade_IV  )  if time_id>1  , vce(robust) fe
est sto Tab1A9C1
qui xtivreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend  ( ln_aggregate_trade ln_aggregate_trade_sea = ln_aggregate_trade_IV ln_aggregate_trade_IV_sea )  if time_id>1  , vce(robust) fe
est sto Tab1A9C2
qui xtivreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend  ( ln_aggregate_trade ln_aggregate_trade_im = ln_aggregate_trade_IV ln_aggregate_trade_IV_im )  if time_id>1  , vce(robust) fe
est sto Tab1A9C3
qui xtivreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend  ( ln_aggregate_trade ln_aggregate_trade_coal_dist  = ln_aggregate_trade_IV ln_aggregate_trade_IV_coal)  if time_id>1  , vce(robust) fe
est sto Tab1A9C4
qui xtivreg large i.time_id#i.Distrikt_id i.time_id i.time_id#i.Productgroup_id large_pretrend  ( ln_aggregate_trade ln_aggregate_trade_urban = ln_aggregate_trade_IV ln_aggregate_trade_IV_urban )  if time_id>1  , vce(robust) fe
est sto Tab1A9C5
qui xtreg ln_aggregate_trade i.time_id#i.Productgroup_id i.time_id#i.Distrikt_id large_pretrend ln_aggregate_trade_IV , cluster(panel_id) fe
qui predict ln_aggregate_trade_hat, xb
qui gen Productgroup_id_time_str=Productgroup_id_str+"_"+time_str
qui tab Productgroup_id_time_str, gen(Productgroup_timefe)
qui gen Distrikt_id_time_str=Distrikt_id_str+"_"+time_str
qui tab Distrikt_id_time_str, gen(Distrikt_timefe)
label var ln_aggregate_trade_hat "ln(aggregate trade)"
qui reg2hdfespatial large Productgroup_timefe* Distrikt_timefe* large_pretrend ln_aggregate_trade_hat , lat(LAT) lon(LON) timevar(time_id) panelvar(panel_id)
est sto Tab1A9C6
qui drop Productgroup_id_time_str- Distrikt_timefe51
qui estadd local estimationmethod "Fixed Effects": Tab1A9C1 Tab1A9C2 Tab1A9C3 Tab1A9C4 Tab1A9C5 Tab1A9C6
qui estadd local dependentvar "Dependent variable"
label var ln_aggregate_trade "ln(aggregate trade)"
label var ln_aggregate_trade_sea "ln(aggregate trade) x (sea access)"
label var ln_aggregate_trade_im "ln(aggregate trade) x (intermediate)"
label var ln_aggregate_trade_coal_dist "ln(aggregate trade) x (top 3 coal)"
label var ln_aggregate_trade_urban "ln(aggregate trade) x (top 4 urban share)"
esttab Tab1A9C1 Tab1A9C2 Tab1A9C3 Tab1A9C4 Tab1A9C5 Tab1A9C6 using "${results}\Table_AIX.tex", f b(4) se(4)  stats(estimationmethod r2_w N, fmt(0  3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"$ R^{2}$"' `"Observations"')) nonumbers nodepvars nomtitle se keep(ln_aggregate_trade ln_aggregate_trade_sea ln_aggregate_trade_im ln_aggregate_trade_coal_dist ln_aggregate_trade_urban ln_aggregate_trade_hat) order(ln_aggregate_trade ln_aggregate_trade_hat ln_aggregate_trade_sea ln_aggregate_trade_im ln_aggregate_trade_coal_dist ln_aggregate_trade_urban)  star(* .1 ** .05 *** .01) label   nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex replace
*** Table A.X
use "${data}/tariffs_industry_census.dta", clear
qui reg d.vlarge  i.time_id i.Distrikt_time_id  delta_tariff delta_tariff_agglom if  time_id>0 ,  cluster(panel_id)
est sto TabA10C1
qui reg d.vlarge  i.time_id i.Distrikt_time_id  delta_tariff delta_tariff_pop if  time_id>0  ,  cluster(panel_id)
est sto TabA10C2
qui reg d.vlarge  i.time_id i.Distrikt_time_id  delta_tariff delta_tariff_junker if time_id>0   ,  cluster(panel_id)
est sto TabA10C3
qui reg d.vlarge  i.time_id i.Distrikt_time_id i.lowimportshare delta_tariff delta_tariff_limportshare  if  time_id>0   ,  cluster(panel_id)
est sto TabA10C4
qui estadd local estimationmethod "First diff.": TabA10C1 TabA10C2 TabA10C3 TabA10C4
label var delta_tariff  "d.tariff"
label var delta_tariff_agglom "d. tariff x (Agglom)"
label var delta_tariff_pop "d.tariff x 1(Population growth above median)"
label var delta_tariff_junker "d. tariff x (Junker district)"
label var delta_tariff_limportshare "d.tariff x 1(low import share)"
esttab TabA10C1 TabA10C2 TabA10C3 TabA10C4 using "${results}\Table_AX.tex", f  b(4) se(4)  stats(estimationmethod  r2 N, fmt(0 3 0) layout("\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}" "\multicolumn{1}{c}{@}") labels(`"Estimation Method"' `"$ R^{2}$"' `"Observations"'))  nonumbers nodepvars nomtitle se keep(delta_tariff delta_tariff_agglom delta_tariff_pop delta_tariff_junker delta_tariff_limportshare)  star(* .1 ** .05 *** .01) label   nonotes addnotes(***p$<.01$; **p$<.05$; *p$<.1$) subs(" ^{c}_{ijt}" "^{c}_{ijt}") tex replace

